/* $NetBSD: ao-strs.c,v 1.4 2016/01/08 21:35:41 christos Exp $ */
/* -*- buffer-read-only: t -*- vi: set ro:
*
* DO NOT EDIT THIS FILE (ao-strs.c)
*
* It has been AutoGen-ed
* From the definitions ao-strs.def
* and the template file strings
*
* Copyright (C) 2011-2015 Bruce Korb, all rights reserved.
* This is free software. It is licensed for use, modification and
* redistribution under the terms of the
* Modified (3 clause) Berkeley Software Distribution License
* <http://www.xfree86.org/3.3.6/COPYRIGHT2.html>
*
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions
* are met:
* 1. Redistributions of source code must retain the above copyright
* notice, this list of conditions and the following disclaimer.
* 2. Redistributions in binary form must reproduce the above copyright
* notice, this list of conditions and the following disclaimer in the
* documentation and/or other materials provided with the distribution.
* 3. Neither the name ``Bruce Korb'' nor the name of any other
* contributor may be used to endorse or promote products derived
* from this software without specific prior written permission.
*
* strings IS PROVIDED BY Bruce Korb ``AS IS'' AND ANY EXPRESS
* OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
* ARE DISCLAIMED. IN NO EVENT SHALL Bruce Korb OR ANY OTHER CONTRIBUTORS
* BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
* CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
* SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
* BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
* WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
* OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
* ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/
#include "ao-strs.h"
char const ao_strs_strtable[6633] =
/* 0 */ "-_^\0"
/* 4 */ " %s%s\n\0"
/* 12 */ "auto-options\0"
/* 25 */ "program\0"
/* 33 */ "%%-%ds %%s\n\0"
/* 45 */ "\n"
"%s\n\n\0"
/* 51 */ "=file\0"
/* 57 */ "=Mbr\0"
/* 62 */ "=Cplx\0"
/* 68 */ "[=arg]\0"
/* 75 */ "--%2$s%1$s\0"
/* 86 */ "=Tim\0"
/* 91 */ "none\0"
/* 96 */ "# preset/initialization file\n"
"# %s#\n\0"
/* 134 */ " %3s %-14s %s\0"
/* 148 */ "%s\0"
/* 151 */ "T/F\0"
/* 155 */ "\n"
"%s\n\n"
"%s\0"
/* 163 */ "Fil\0"
/* 167 */ "KWd\0"
/* 171 */ "Mbr\0"
/* 175 */ "Cpx\0"
/* 179 */ "no \0"
/* 183 */ "Num\0"
/* 187 */ "opt\0"
/* 191 */ "YES\0"
/* 195 */ "Str\0"
/* 199 */ "Tim\0"
/* 203 */ "\t\t\t\t- \0"
/* 210 */ "\t\t\t\t \0"
/* 217 */ "\t\t\t\t-- and \0"
/* 229 */ "\t\t\t\t%s\n\0"
/* 237 */ " \0"
/* 244 */ " \0"
/* 250 */ " \0"
/* 254 */ " \0"
/* 257 */ "all\0"
/* 261 */ " \t\n"
":=\0"
/* 267 */ "%s_%s_%d=\0"
/* 277 */ "''\0"
/* 280 */ " ;;\n\n\0"
/* 293 */ "'\n\n\0"
/* 297 */ "</%s>\n\0"
/* 304 */ " %s\n\0"
/* 310 */ "%%-%ds\0"
/* 317 */ "\n"
"export %s_%s_%d\n\0"
/* 335 */ "false\0"
/* 341 */ " -* )\n\0"
/* 351 */ "flag\0"
/* 356 */ "INVALID-%d\0"
/* 367 */ "*INVALID*\0"
/* 377 */ "\\n\\\n\0"
/* 382 */ " --* )\n\0"
/* 393 */ "--\0"
/* 396 */ "LONGUSAGE\0"
/* 406 */ " %s\n\0"
/* 422 */ "\\%03o\0"
/* 428 */ "more\0"
/* 433 */ "<%s type=nested>\n\0"
/* 451 */ "%s\n\0"
/* 455 */ "%s\n"
" \0"
/* 461 */ "OPT_ARG_NEEDED=NO\0"
/* 479 */ "<%s/>\n\0"
/* 486 */ "OPT_ARG_NEEDED=OK\0"
/* 504 */ "\t\0"
/* 506 */ "<%s>\0"
/* 511 */ "option\0"
/* 518 */ "\n"
"export %s_%s\n\0"
/* 533 */ "%s_%s=\0"
/* 540 */ " | \0"
/* 544 */ "PAGER\0"
/* 550 */ " + \0"
/* 554 */ " puts(_(%s));\n\0"
/* 570 */ "\\'\0"
/* 573 */ "'%s'\0"
/* 578 */ " -- %s\0"
/* 585 */ "%s_%s_TEXT='\0"
/* 598 */ "#! %s\n\0"
/* 605 */ "\n"
"env | grep '^%s_'\n\0"
/* 625 */ "=%1$lu # 0x%1$lX\n\0"
/* 643 */ "stdout\0"
/* 650 */ "%A %B %e, %Y at %r %Z\0"
/* 672 */ "%s/use-%u.XXXXXX\0"
/* 689 */ "true\0"
/* 694 */ "<%s type=%s>\0"
/* 707 */ "VERSION\0"
/* 715 */ "#x%02X;\0"
/* 723 */ "OPT_ARG_NEEDED=YES\0"
/* 742 */ "'\\''\0"
/* 747 */ " '%s'\0"
/* 753 */ "\n"
"OPTION_CT=0\n\0"
/* 767 */ "set --\0"
/* 774 */ " ;;\n\n\0"
/* 791 */ " '%c' )\n\0"
/* 807 */ " '%s' )\n\0"
/* 823 */ " '%s' | \\\n\0"
/* 841 */ "TMPDIR\0"
/* 848 */ "/tmp\0"
/* 853 */ "%1$s %2$s ; rm -f %2$s\0"
/* 876 */ "<%1$s type=boolean>%2$s</%1$s>\n\0"
/* 908 */ "# From the %s option definitions\n"
"#\n\0"
/* 945 */ "echo 'Warning: Cannot load options files' >&2\0"
/* 992 */ "echo 'Warning: Cannot save options files' >&2\0"
/* 1039 */ "echo 'Warning: Cannot suppress the loading of options files' >&2\0"
/* 1105 */ "<%1$s type=integer>0x%2$lX</%1$s>\n\0"
/* 1140 */ "%1$s_%2$s_TEXT='no %2$s text'\n\0"
/* 1171 */ "%1$s_%2$s_MODE='%3$s'\n"
"export %1$s_%2$s_MODE\n\0"
/* 1216 */ "%1$s_%2$s='%3$s'\n"
"export %1$s_%2$s\n\0"
/* 1251 */ "%1$s_%2$s_CT=%3$d\n"
"export %1$s_%2$s_CT\n\0"
/* 1290 */ "OPTION_CT=%d\n"
"export OPTION_CT\n\0"
/* 1321 */ "%1$s_%2$s=%3$s\n"
"export %1$s_%2$s\n\0"
/* 1354 */ "%1$s_%2$s=%3$d # 0x%3$X\n"
"export %1$s_%2$s\n\0"
/* 1396 */ " case \"${OPT_CODE}\" in\n\0"
/* 1427 */ " if [ $%1$s_%2$s_CT -gt %3$u ] ; then\n"
" echo 'Error: more than %3$d %2$s options'\n"
" echo \"$%1$s_USAGE_TEXT\"\n"
" exit 1\n"
" fi >&2\n\0"
/* 1618 */ "test ${%1$s_%2$s_CT-0} -ge %3$u || {\n"
" echo %1$s_%2$s has not been set\n"
" exit 1\n"
"} 1>&2\n\0"
/* 1710 */ "test -n \"$%1$s_%2$s\" || {\n"
" echo %1$s_%2$s has not been set\n"
" exit 1\n"
"} 1>&2\n\0"
/* 1791 */ " echo \"$%s_%s_TEXT\"\n"
" exit 0\n\0"
/* 1842 */ "\n"
"# # # # # # # # # #\n"
"#\n"
"# END OF AUTOMATED OPTION PROCESSING\n"
"#\n"
"# # # # # # # # # # -- do not modify this marker --\n\0"
/* 1958 */ " if [ -n \"${OPT_ARG_VAL}\" ]\n"
" then\n"
" eval %1$s_${OPT_NAME}${OPT_ELEMENT}=\"'${OPT_ARG_VAL}'\"\n"
" export %1$s_${OPT_NAME}${OPT_ELEMENT}\n"
" fi\n"
"done\n"
"OPTION_COUNT=`expr $ARG_COUNT - $#`\n"
"OPERAND_COUNT=$#\n"
"unset OPT_PROCESS || :\n"
"unset OPT_ELEMENT || :\n"
"unset OPT_ARG || :\n"
"unset OPT_ARG_NEEDED || :\n"
"unset OPT_NAME || :\n"
"unset OPT_CODE || :\n"
"unset OPT_ARG_VAL || :\n\0"
/* 2337 */ " OPT_CODE=`echo \"X${OPT_ARG}\"|sed 's/^X-*//'`\n"
" shift\n"
" OPT_ARG=$1\n"
" case \"${OPT_CODE}\" in *=* )\n"
" OPT_ARG_VAL=`echo \"${OPT_CODE}\"|sed 's/^[^=]*=//'`\n"
" OPT_CODE=`echo \"${OPT_CODE}\"|sed 's/=.*$//'` ;; esac\n\0"
/* 2588 */ " OPT_CODE=`echo \"X${OPT_ARG}\" | sed 's/X-\\(.\\).*/\\1/'`\n"
" OPT_ARG=` echo \"X${OPT_ARG}\" | sed 's/X-.//'`\n\0"
/* 2705 */ "\n"
"ARG_COUNT=$#\n"
"OPT_PROCESS=true\n"
"OPT_ARG=$1\n"
"while ${OPT_PROCESS} && [ $# -gt 0 ]\n"
"do\n"
" OPT_ELEMENT=''\n"
" OPT_ARG_VAL=''\n\n"
" case \"${OPT_ARG}\" in\n"
" -- )\n"
" OPT_PROCESS=false\n"
" shift\n"
" ;;\n\0"
/* 2912 */ " case \"${OPT_ARG_NEEDED}\" in\n"
" NO )\n"
" OPT_ARG_VAL=''\n"
" ;;\n"
" YES )\n"
" if [ -z \"${OPT_ARG_VAL}\" ]\n"
" then\n"
" if [ $# -eq 0 ]\n"
" then\n"
" echo No argument provided for ${OPT_NAME} option\n"
" echo \"$%s_USAGE_TEXT\"\n"
" exit 1\n"
" fi >&2\n"
" OPT_ARG_VAL=${OPT_ARG}\n"
" shift\n"
" OPT_ARG=$1\n"
" fi\n"
" ;;\n"
" OK )\n"
" if [ -z \"${OPT_ARG_VAL}\" ] && [ $# -gt 0 ]\n"
" then\n"
" case \"${OPT_ARG}\" in -* ) ;; * )\n"
" OPT_ARG_VAL=${OPT_ARG}\n"
" shift\n"
" OPT_ARG=$1 ;; esac\n"
" fi\n"
" ;;\n"
" esac\n\0"
/* 3691 */ " %1$s_%2$s_CT=`expr ${%1$s_%2$s_CT} + 1`\n"
" OPT_ELEMENT=\"_${%1$s_%2$s_CT}\"\n"
" OPT_NAME='%2$s'\n\0"
/* 3815 */ "\n"
"if test -z \"${%1$s_%2$s}\"\n"
"then\n"
" %1$s_%2$s_CT=0\n"
" export %1$s_%2$s_CT\n"
"else\n"
" %1$s_%2$s_CT=1\n"
" %1$s_%2$s_1=${%1$s_%2$s}\n"
" export %1$s_%2$s_CT %1$s_%2$s_1\n"
"fi\n\0"
/* 3973 */ " * )\n"
" OPT_PROCESS=false\n"
" ;;\n"
" esac\n\0"
/* 4030 */ " %1$s_%2$s_CT=0\n"
" OPT_ELEMENT=''\n"
" %1$s_%2$s='%3$s'\n"
" export %1$s_%2$s\n"
" OPT_NAME='%2$s'\n\0"
/* 4171 */ " if [ -n \"${%1$s_%2$s}\" ] && ${%1$s_%2$s_set} ; then\n"
" echo 'Error: duplicate %2$s option'\n"
" echo \"$%1$s_USAGE_TEXT\"\n"
" exit 1\n"
" fi >&2\n"
" %1$s_%2$s_set=true\n"
" %1$s_%2$s='%3$s'\n"
" export %1$s_%2$s\n"
" OPT_NAME='%2$s'\n\0"
/* 4488 */ "\n"
"ARG_COUNT=$#\n"
"OPT_ARG=$1\n"
"while [ $# -gt 0 ]\n"
"do\n"
" OPT_ELEMENT=''\n"
" OPT_ARG_VAL=''\n"
" OPT_ARG=${1}\n\0"
/* 4591 */ " case \"${OPT_ARG_NEEDED}\" in\n"
" NO )\n"
" if [ -n \"${OPT_ARG}\" ]\n"
" then\n"
" OPT_ARG=-${OPT_ARG}\n"
" else\n"
" shift\n"
" OPT_ARG=$1\n"
" fi\n"
" ;;\n"
" YES )\n"
" if [ -n \"${OPT_ARG}\" ]\n"
" then\n"
" OPT_ARG_VAL=${OPT_ARG}\n"
" else\n"
" if [ $# -eq 0 ]\n"
" then\n"
" echo No argument provided for ${OPT_NAME} option\n"
" echo \"$%s_USAGE_TEXT\"\n"
" exit 1\n"
" fi >&2\n"
" shift\n"
" OPT_ARG_VAL=$1\n"
" fi\n"
" shift\n"
" OPT_ARG=$1\n"
" ;;\n"
" OK )\n"
" if [ -n \"${OPT_ARG}\" ]\n"
" then\n"
" OPT_ARG_VAL=${OPT_ARG}\n"
" shift\n"
" OPT_ARG=$1\n"
" else\n"
" shift\n"
" if [ $# -gt 0 ]\n"
" then\n"
" case \"$1\" in -* ) ;; * )\n"
" OPT_ARG_VAL=$1\n"
" shift ;; esac\n"
" OPT_ARG=$1\n"
" fi\n"
" fi\n"
" ;;\n"
" esac\n\0"
/* 5745 */ " echo \"$%s_LONGUSAGE_TEXT\" | ${PAGER-more}\n"
" exit 0\n\0"
/* 5819 */ "%s OF %s\n"
"#\n"
"# From here to the next `-- do not modify this marker --',\n"
"# the text has been generated %s\n\0"
/* 5925 */ " eval %1$s_%2$s${OPT_ELEMENT}=true\n"
" export %1$s_%2$s${OPT_ELEMENT}\n\0"
/* 6015 */ " if [ -n \"${%1$s_%2$s}\" ] && ${%1$s_%2$s_set} ; then\n"
" echo 'Error: duplicate %2$s option'\n"
" echo \"$%1$s_USAGE_TEXT\"\n"
" exit 1\n"
" fi >&2\n"
" %1$s_%2$s_set=true\n"
" OPT_NAME='%2$s'\n\0"
/* 6274 */ "\n"
"%1$s_%2$s=${%1$s_%2$s-'%3$s'}\n"
"%1$s_%2$s_set=false\n"
"export %1$s_%2$s\n\0"
/* 6343 */ "\n"
"%1$s_%2$s=${%1$s_%2$s}\n"
"%1$s_%2$s_set=false\n"
"export %1$s_%2$s\n\0"
/* 6405 */ "# # # # # # # # # # -- do not modify this marker --\n"
"#\n"
"# DO NOT EDIT THIS SECTION\n\0"
/* 6488 */ " * )\n"
" echo Unknown %s: \"${OPT_CODE}\" >&2\n"
" echo \"$%s_USAGE_TEXT\" >&2\n"
" exit 1\n"
" ;;\n"
" esac\n";
/* end of ao-strs.c */